<?php
	include('is_logged.php');//Archivo verifica que el usario que intenta acceder a la URL esta logueado
	$id_factura= $_SESSION['id_factura'];

	/*Inicia validacion del lado del servidor*/
	if (empty($_POST['id_cliente']))
		{
           $errors[] = "ID vacío";
        }
		else if (empty($_POST['id_mayorista'])) 
		{
           $errors[] = "Selecciona el vendedor";
        } 
		else if ($_POST['estado_factura']=="")
		{
			$errors[] = "Selecciona el estado de la factura";
		} 
		else if 
		(
			!empty($_POST['id_cliente']) &&
			!empty($_POST['id_mayorista']) &&
			$_POST['estado_factura']!="" 
		)
		
		{
		/* Connect To Database*/
		require_once ("../config/db.php");//Contiene las variables de configuracion para conectar a la base de datos
		require_once ("../config/conexion.php");//Contiene funcion que conecta a la base de datos
		// escaping, additionally removing everything that could be (html/javascript-) code
		$sumatoriaprecioventa=0;
		$id_cliente=intval($_POST['id_cliente']);
		$id_mayorista=intval($_POST['id_mayorista']);
		$estado_factura=intval($_POST['estado_factura']);
		$condiciones=$_POST['condiciones'];
		$condiciones2=$_POST['condiciones2'];
		$observaciones=$_POST['observaciones'];
	    $observaciones2=$_POST['observaciones2'];	
        $zona=$_POST['zona'];			
		$comentarios=$_POST['comentarios'];
       	
		
		$sql="UPDATE facturas SET id_cliente='".$id_cliente."', 
			
			estado_factura='".$estado_factura."',
		    id_mayorista='".$id_mayorista."',
			condiciones='".$condiciones."',
			condiciones2='".$condiciones2."',
			observaciones='".$observaciones."',
			observaciones2='".$observaciones2."',
			zona='".$zona."',
			comentarios='".$comentarios."'
			WHERE 
			id_factura='".$id_factura."'";
		$query_update = mysqli_query($con,$sql);
			if ($query_update){
				$messages[] = "Bonificacion ha sido actualizada satisfactoriamente.";
			} else{
				$errors []= "Lo siento algo ha salido mal intenta nuevamente.".mysqli_error($con);
			}
		    } else {
			$errors []= "Error desconocido.";
		    }
		
		if (isset($errors)){
			
			?>
			<div class="alert alert-danger" role="alert">
				<button type="button" class="close" data-dismiss="alert">&times;</button>
					<strong>Error!</strong> 
					<?php
						foreach ($errors as $error) {
								echo $error;
							}
						?>
			</div>
			<?php
			}
			if (isset($messages)){
				
				?>
				<div class="alert alert-success" role="alert">
						<button type="button" class="close" data-dismiss="alert">&times;</button>
						<strong>¡Bien hecho!</strong>
						<?php
							foreach ($messages as $message) {
									echo $message;
								}
							?>
				</div>
				<?php
			}

?>